> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Experiments

> Search experiments for a project.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/experiments/search
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/experiments/search:
    post:
      tags:
        - experiment
      summary: Search Experiments
      description: Search experiments for a project.
      operationId: search_experiments_v2_projects__project_id__experiments_search_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExperimentSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExperimentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ExperimentSearchRequest:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/ExperimentIDFilter'
              - $ref: '#/components/schemas/ExperimentNameFilter'
              - $ref: '#/components/schemas/ExperimentCreatedByFilter'
              - $ref: '#/components/schemas/ExperimentCreatedAtFilter'
              - $ref: '#/components/schemas/ExperimentUpdatedAtFilter'
              - $ref: '#/components/schemas/ExperimentGroupIDFilter'
              - $ref: '#/components/schemas/ExperimentGroupNameFilter'
            discriminator:
              propertyName: name
              mapping:
                created_at:
                  $ref: '#/components/schemas/ExperimentCreatedAtFilter'
                created_by:
                  $ref: '#/components/schemas/ExperimentCreatedByFilter'
                experiment_group_id:
                  $ref: '#/components/schemas/ExperimentGroupIDFilter'
                experiment_group_name:
                  $ref: '#/components/schemas/ExperimentGroupNameFilter'
                id:
                  $ref: '#/components/schemas/ExperimentIDFilter'
                name:
                  $ref: '#/components/schemas/ExperimentNameFilter'
                updated_at:
                  $ref: '#/components/schemas/ExperimentUpdatedAtFilter'
          type: array
          title: Filters
        sort:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/ExperimentNameSort'
                - $ref: '#/components/schemas/ExperimentCreatedAtSort'
                - $ref: '#/components/schemas/ExperimentUpdatedAtSort'
              discriminator:
                propertyName: name
                mapping:
                  created_at:
                    $ref: '#/components/schemas/ExperimentCreatedAtSort'
                  name:
                    $ref: '#/components/schemas/ExperimentNameSort'
                  updated_at:
                    $ref: '#/components/schemas/ExperimentUpdatedAtSort'
            - type: 'null'
          title: Sort
          default:
            name: created_at
            ascending: false
            sort_type: column
        include_counts:
          type: boolean
          title: Include Counts
          default: false
      type: object
      title: ExperimentSearchRequest
    ListExperimentResponse:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        paginated:
          type: boolean
          title: Paginated
          default: false
        next_starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Starting Token
        experiments:
          items:
            $ref: '#/components/schemas/ExperimentResponse'
          type: array
          title: Experiments
      type: object
      title: ListExperimentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExperimentIDFilter:
      properties:
        name:
          type: string
          const: id
          title: Name
          default: id
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: RunIDFilter
    ExperimentNameFilter:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
      type: object
      required:
        - operator
        - value
      title: RunNameFilter
    ExperimentCreatedByFilter:
      properties:
        name:
          type: string
          const: created_by
          title: Name
          default: created_by
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: RunCreatedByFilter
    ExperimentCreatedAtFilter:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: RunCreatedAtFilter
    ExperimentUpdatedAtFilter:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: RunUpdatedAtFilter
    ExperimentGroupIDFilter:
      properties:
        name:
          type: string
          const: experiment_group_id
          title: Name
          default: experiment_group_id
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: ExperimentGroupIDFilter
    ExperimentGroupNameFilter:
      properties:
        name:
          type: string
          const: experiment_group_name
          title: Name
          default: experiment_group_name
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
      type: object
      required:
        - operator
        - value
      title: ExperimentGroupNameFilter
    ExperimentNameSort:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunNameSort
    ExperimentCreatedAtSort:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunCreatedAtSort
    ExperimentUpdatedAtSort:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunUpdatedAtSort
    ExperimentResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: ID
          description: Galileo ID of the experiment
        created_at:
          type: string
          format: date-time
          title: Created
          description: Timestamp of the experiment's creation
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated
          description: Timestamp of the trace or span's last update
        name:
          type: string
          title: Name
          description: Name of the experiment
          default: ''
        project_id:
          type: string
          format: uuid4
          title: Project ID
          description: Galileo ID of the project associated with this experiment
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        num_spans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Spans
        num_traces:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Traces
        task_type:
          $ref: '#/components/schemas/TaskType'
        dataset:
          anyOf:
            - $ref: '#/components/schemas/ExperimentDataset'
            - type: 'null'
        aggregate_metrics:
          additionalProperties: true
          type: object
          title: Aggregate Metrics
        structured_aggregate_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/MetricAggregates'
              type: object
            - type: 'null'
          title: Structured Aggregate Metrics
          description: >-
            Structured aggregate metrics with full statistical aggregates (avg,
            min, max, sum, count). Keys are scorer UUIDs for scorer-backed
            metrics (matching available_columns column IDs after stripping the
            'metrics/' prefix) and raw strings for system metrics (e.g.
            'duration_ns', 'cost'). Present only when
            use_clickhouse_run_aggregates flag is enabled.
        aggregate_feedback:
          additionalProperties:
            $ref: '#/components/schemas/FeedbackAggregate'
          type: object
          title: Aggregate Feedback
          description: >-
            Aggregate feedback information related to the experiment (traces
            only)
          deprecated: true
        rating_aggregates:
          additionalProperties:
            additionalProperties:
              $ref: '#/components/schemas/FeedbackAggregate'
            propertyNames:
              $ref: '#/components/schemas/RootType'
            type: object
          propertyNames:
            format: uuid4
          type: object
          title: Rating Aggregates
          description: Annotation aggregates keyed by template ID and root type
        ranking_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Ranking Score
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
        winner:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Winner
        playground_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Playground Id
        playground:
          anyOf:
            - $ref: '#/components/schemas/ExperimentPlayground'
            - type: 'null'
        prompt_run_settings:
          anyOf:
            - $ref: '#/components/schemas/PromptRunSettings-Output'
            - type: 'null'
        prompt_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Model
        prompt:
          anyOf:
            - $ref: '#/components/schemas/ExperimentPrompt'
            - type: 'null'
        tags:
          additionalProperties:
            items:
              $ref: '#/components/schemas/RunTagDB'
            type: array
          type: object
          title: Tags
        status:
          $ref: '#/components/schemas/ExperimentStatus'
        experiment_group_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Experiment Group Id
        experiment_group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Group Name
        experiment_group_is_system:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Experiment Group Is System
      type: object
      required:
        - id
        - project_id
        - task_type
      title: ExperimentResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    TaskType:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
      title: TaskType
      description: >-
        Valid task types for modeling.


        We store these as ints instead of strings because we will be looking
        this up in the database frequently.
    ExperimentDataset:
      properties:
        dataset_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Dataset Id
        version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version Index
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: ExperimentDataset
    MetricAggregates:
      properties:
        avg:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg
        sum:
          anyOf:
            - type: number
            - type: 'null'
          title: Sum
        min:
          anyOf:
            - type: number
            - type: 'null'
          title: Min
        max:
          anyOf:
            - type: number
            - type: 'null'
          title: Max
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Pct
        p50:
          anyOf:
            - type: number
            - type: 'null'
          title: P50
        p90:
          anyOf:
            - type: number
            - type: 'null'
          title: P90
        p95:
          anyOf:
            - type: number
            - type: 'null'
          title: P95
        p99:
          anyOf:
            - type: number
            - type: 'null'
          title: P99
        value_distribution:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Value Distribution
          description: >-
            Distribution of discrete values as {value: count}. For boolean
            metrics: {'0': 2, '1': 8}. For categorical metrics: {'low': 5,
            'medium': 3, 'high': 2}.
      type: object
      title: MetricAggregates
      description: >-
        Structured aggregate values for a single metric, computed from
        ClickHouse row-level data.
    FeedbackAggregate:
      properties:
        aggregate:
          oneOf:
            - $ref: '#/components/schemas/LikeDislikeAggregate'
            - $ref: '#/components/schemas/StarAggregate'
            - $ref: '#/components/schemas/ScoreAggregate'
            - $ref: '#/components/schemas/TagsAggregate'
            - $ref: '#/components/schemas/TextAggregate'
          title: Aggregate
          discriminator:
            propertyName: feedback_type
            mapping:
              like_dislike:
                $ref: '#/components/schemas/LikeDislikeAggregate'
              score:
                $ref: '#/components/schemas/ScoreAggregate'
              star:
                $ref: '#/components/schemas/StarAggregate'
              tags:
                $ref: '#/components/schemas/TagsAggregate'
              text:
                $ref: '#/components/schemas/TextAggregate'
      type: object
      required:
        - aggregate
      title: FeedbackAggregate
    ExperimentPlayground:
      properties:
        playground_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Playground Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: ExperimentPlayground
    PromptRunSettings-Output:
      properties:
        logprobs:
          type: boolean
          title: Logprobs
          default: true
        top_logprobs:
          type: integer
          title: Top Logprobs
          default: 5
        echo:
          type: boolean
          title: Echo
          default: false
        'n':
          type: integer
          title: 'N'
          default: 1
        reasoning_effort:
          type: string
          title: Reasoning Effort
          default: medium
        verbosity:
          type: string
          title: Verbosity
          default: medium
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
        model_alias:
          type: string
          title: Model Alias
          default: gpt-5.1
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
          default: 4096
        stop_sequences:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stop Sequences
        top_p:
          type: number
          title: Top P
          default: 1
        top_k:
          type: integer
          title: Top K
          default: 40
        frequency_penalty:
          type: number
          title: Frequency Penalty
          default: 0
        presence_penalty:
          type: number
          title: Presence Penalty
          default: 0
        tools:
          type: string
          title: Tools
        tool_choice:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/OpenAIToolChoice'
            - type: 'null'
          title: Tool Choice
        response_format:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Response Format
      type: object
      title: PromptRunSettings
      description: Prompt run settings.
    ExperimentPrompt:
      properties:
        prompt_template_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Prompt Template Id
        version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version Index
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
      type: object
      title: ExperimentPrompt
    RunTagDB:
      properties:
        key:
          type: string
          maxLength: 256
          title: Key
        value:
          type: string
          maxLength: 256
          title: Value
        tag_type:
          type: string
          title: Tag Type
        project_id:
          type: string
          format: uuid4
          title: Project Id
        run_id:
          type: string
          format: uuid4
          title: Run Id
        created_by:
          type: string
          format: uuid4
          title: Created By
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - key
        - value
        - tag_type
        - project_id
        - run_id
        - created_by
        - id
        - created_at
        - updated_at
      title: RunTagDB
    ExperimentStatus:
      properties:
        log_generation:
          $ref: '#/components/schemas/ExperimentPhaseStatus'
      type: object
      title: ExperimentStatus
    LikeDislikeAggregate:
      properties:
        feedback_type:
          type: string
          const: like_dislike
          title: Feedback Type
          default: like_dislike
        like_count:
          type: integer
          title: Like Count
        dislike_count:
          type: integer
          title: Dislike Count
        unrated_count:
          type: integer
          title: Unrated Count
      type: object
      required:
        - like_count
        - dislike_count
        - unrated_count
      title: LikeDislikeAggregate
    StarAggregate:
      properties:
        feedback_type:
          type: string
          const: star
          title: Feedback Type
          default: star
        average:
          type: number
          title: Average
        counts:
          additionalProperties:
            type: integer
          type: object
          title: Counts
        unrated_count:
          type: integer
          title: Unrated Count
      type: object
      required:
        - average
        - counts
        - unrated_count
      title: StarAggregate
    ScoreAggregate:
      properties:
        feedback_type:
          type: string
          const: score
          title: Feedback Type
          default: score
        average:
          type: number
          title: Average
        unrated_count:
          type: integer
          title: Unrated Count
      type: object
      required:
        - average
        - unrated_count
      title: ScoreAggregate
    TagsAggregate:
      properties:
        feedback_type:
          type: string
          const: tags
          title: Feedback Type
          default: tags
        counts:
          additionalProperties:
            type: integer
          type: object
          title: Counts
        unrated_count:
          type: integer
          title: Unrated Count
      type: object
      required:
        - counts
        - unrated_count
      title: TagsAggregate
    TextAggregate:
      properties:
        feedback_type:
          type: string
          const: text
          title: Feedback Type
          default: text
        count:
          type: integer
          title: Count
        unrated_count:
          type: integer
          title: Unrated Count
      type: object
      required:
        - count
        - unrated_count
      title: TextAggregate
    OpenAIToolChoice:
      properties:
        type:
          type: string
          title: Type
          default: function
        function:
          $ref: '#/components/schemas/OpenAIFunction'
      type: object
      required:
        - function
      title: OpenAIToolChoice
    ExperimentPhaseStatus:
      properties:
        progress_percent:
          type: number
          maximum: 1
          minimum: 0
          title: Progress Percent
          description: Progress percentage from 0.0 to 1.0
          default: 0
      type: object
      title: ExperimentPhaseStatus
    OpenAIFunction:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: OpenAIFunction
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````